Summary: Microsoft TrueType fonts.
Name: ttfonts-ms
Version: 1.0
Release: 1
Group: User Interface/X
Copyright: Commercial
Packager: Hao Li <hli@haoli.org>
Source: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Prereq: freetype chkfontpath

%description 
Microsoft TrueType fonts.


%prep
%setup -q -c


%define fontdir /usr/share/fonts/Microsoft/TrueType


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{fontdir}
cp -p Fonts/* $RPM_BUILD_ROOT/%{fontdir}


%post
cd %{fontdir}
/usr/bin/ttmkfdir > fonts.scale 2>/dev/null || :
/usr/X11R6/bin/mkfontdir 2>/dev/null || :
/usr/sbin/chkfontpath -q -a %{fontdir}

%preun
if [ "$1" = "0" ]; then
  rm -f %{fontdir}/fonts.{scale,dir}
  /usr/sbin/chkfontpath -q -r %{fontdir}
fi


%files
%defattr(-,root,root)
%{fontdir}


%clean
rm -rf $RPM_BUILD_ROOT

